import {createApp} from 'vue';
import pinia from '/@/stores/index';
import App from './App.vue';
import router from './router';
// @ts-ignore
import {directive} from '/@/directives';
import {i18n} from '/@/languages';

import mgmt from "mgmt-component-v3"
import ElementPlus from 'element-plus';
//element icon
import * as ElementPlusIconsVue from '@element-plus/icons-vue';
import 'element-plus/dist/index.css';
import VueGridLayout from 'vue-grid-layout';
import Layout from "/@/layouts/index.vue";
import vue3PreviewImage from 'vue3-preview-image'
import './styles/index.scss'

import './assets/styles/index.scss'
import './assets/myStyle.scss'
import './assets/customStyle.scss'

// 联调环境上测试
// 平台端账号/密码 admin/maxkey
// 租户端账号/密码 自行手机号或邮箱注册即可
// axios的私有库的包名 yx-axios  
// 拉包命令 yarn install --registry=http://nexus.gys.qevoc.com/repository/npm-group/
// 本地调试需要把host设置 127.0.0.1 xxx.9n1m.com   通过浏览器输入xxx.9n1m.com:5173访问项目
import constantRoutes from '/@/router/yanxiang.js'
const mgmtComponentConfig = {
  whiteList: [],
  appPath: window._CONFIG.APP_CODING, // 应用编码
  constantRoutes: constantRoutes,
  layout: Layout,
  keepAlive: true,
  srcPath: '@',
  viewRoot: "views",
  dynamicStatus: true,//设置为true 说明从接口获取数据
  PREFIX_URL: window._CONFIG.PREFIX_URL,
  env: window._CONFIG.VUE_APP_ENV,
  API_PREFIX: window._CONFIG.API_PREFIX,
  loginPath: window._CONFIG.loginPath,
  BASE_URLS: window._CONFIG.VUE_APP_BASE_URLS,
  resource: window._CONFIG.VUE_APP_RESOURCE,
};

const app = createApp(App);
mgmt.mgmtInstall(app, router, mgmtComponentConfig, createApp)

//element icon
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}
directive(app);

// 三方组件
import JsonViewer from "vue3-json-viewer";
import "vue3-json-viewer/dist/index.css"; // 引入样式
app.use(JsonViewer)

// 引入组件
import 'virtual:svg-icons-register'
import SvgIcon from '/@/components/svgIcon/index.vue'
import * as svg from '@element-plus/icons-vue';
const icons = svg as any;
for (const i in icons) {
  app.component(`ele-${icons[i].name}`, icons[i]);
}
app.component('SvgIcon', SvgIcon);

// other.elSvg(app);
app.use(pinia).use(router).use(ElementPlus, {i18n: i18n.global.t}).use(i18n).use(vue3PreviewImage).use(VueGridLayout).mount('#app');