import {removeToken, setToken} from '@/utils/auth'
import {userLogin, userLogout} from '@/api/user'
import {useRouter} from "vue-router";
import md5 from 'js-md5'
const router = useRouter()

const useUserStore = defineStore('user', () => {
  const state = reactive({
    username: '',
    avatar: '',
    userInfo: {}
  })
  const login = form => {
    return new Promise((resolve, reject) => {
      userLogin({
        username: form.username,
        password: md5(form.password),
        key: form.key,
        keyCode: form.keyCode,
      }).then(res => {
        setToken(res.access_token)
        setUserInfo(res)
        resolve()
      })
    })
  }
  const setUserInfo = info => {
    state.userInfo = info
  }
  const logout = () => new Promise((resolve, reject) => {
    userLogout().then(res => {
      localStorage.removeItem('keep-alive')
      localStorage.removeItem('tags-view')
      localStorage.removeItem('layout')
      localStorage.removeItem('app')
      removeToken()
      location.reload()
      router.replace('/login')
      resolve()
    })
  })
  return {
    ...toRefs(state),
    login,
    logout,
  }
})

export default useUserStore